/* vim: set sw=3 ts=3 sts=3 expandtab: */
#ifndef ECDB_H
#define ECDB_H

#include "config.h"
#include <Evas.h>
#include <Edje.h>
#include <Ecore.h>
#include <Ecore_Data.h>
#include <Ecore_File.h>
#include <Ecore_Evas.h>
#include <Ecore_Config.h>
#include <Ecore_X.h>
#include <Eina.h>
#include <Efreet_Mime.h>
#include <Efreet.h>
#include <Ewl.h>
#include <E_DBus.h>
#include <E_Hal.h>
#include <libburn/libburn.h>
#include <libisofs/libisofs.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <libgen.h>
#include <sys/types.h>
#include <time.h>
#include <unistd.h>
#include <limits.h>
//#define PATH_MAX 4095
#include <pthread.h>

typedef struct _Ecdb_Page Ecdb_Page;
struct _Ecdb_Page
{
   Evas_Object *gui;
   Evas_Object *welcome;
   Evas_Object *filelist;
   Evas_Object *data;
   Evas_Object *audio;
   Evas_Object *erase;
   Evas_Object *image;
};

/* ECDB Global Variables */
typedef struct _Ecdb_Main Ecdb_Main;
struct _Ecdb_Main
{
   char *theme_path;
   double scalef;
   char *engine;
   int fps;
   Ecore_Evas *main_win_ee;
   Ecore_X_Window xwin;
   Eina_List *drives;

   /* Drag and drop stuff here */
   Eina_List *evas_dnd_candidates;
   Eina_List *ewl_dnd_candidates;
   Evas_Object *evas_drop_object;
   Ewl_Widget *ewl_drop_object;

   /* Change this to a list at some point, but for now save some time
    * and leave it singular
    */
   Ecdb_Page *page;

   /* System dbus connection */
   E_DBus_Connection *conn;

   /* E_DBus signal handlers */
   E_DBus_Signal_Handler *dev_added;
   E_DBus_Signal_Handler *dev_removed;

   /* Used to help with initialization */
   unsigned int init_count;
};

extern Ecdb_Main *em;

/* Callbacks */
extern int ECDB_DRIVE_ACTION_FINISHED;
extern int ECDB_DRIVE_ACTION_BEGUN;
extern int ECDB_DRIVE_ACTION_UPDATE;
extern unsigned int ECDB_FILELIST_SIZE_CHANGED;

#include "ecdb_common.h"
#include "ecdb_projects.h"
#include "ecdb_drives.h"
#include "ecdb_image.h"
#include "ecdb_burn.h"
#include "ecdb_erase.h"
#include "ecdb_misc.h"
#include "ecdb_audio.h"
#include "ecdb_gui.h"
#include "ecdb_widgets.h"
#include "ecdb_erase_gui.h"
#include "ecdb_burn_image_gui.h"
#include "ecdb_burn_data_gui.h"
#include "ecdb_filelist_custom.h"
#include "ecdb_about.h"
#include "ecdb_config_dialog.h"
#include "ecdb_hal.h"

#endif

